.btn {
    color: #000;
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(56);
    font-weight: 500;
    font-size: rem(11);
    line-height: 125%;
    letter-spacing: 1.5px;
    padding: rem(8) rem(16);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;

    &:hover {
        text-decoration: none;
    }

    &:active {

    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        top: 1px;
        display: inline-block;
        position: relative;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(10);
    }

    span + i {
        margin-left: rem(10);
    }

    i + span {
        margin-left: rem(10);
    }

    @include media-breakpoint-up(md) {
        height: rem(64);
        font-size: rem(12);
        padding: rem(8) rem(32);

        span {
            top: 0;
        }

        i {
            height: rem(12);
        }
    }

    @include media-breakpoint-up(xl) {
        height: rem(80);
        font-size: rem(15);

        span + i {
            margin-left: rem(20);
        }

        i + span {
            margin-left: rem(20);
        }
    }
}

.btn-purple {
    color: $white;
    stroke: $white;
    background: $purple;
    box-shadow: 0px 4px 45px 0px rgba(144, 11, 123, 0);
    transition: .25s;

    &:hover {
        color: $white;
        stroke: $white;
        background: lighten($purple, 10%);
        box-shadow: 0px 4px 45px 0px rgba(144, 11, 123, 0.40);
        transition: .3s;
    }

    &:active {
        color: $white;
        stroke: $white;
        background: $purple;
    }
}

.btn-gray {
    fill: #1B1B20;
    color: #1B1B20;
    background: #F5F5F3;
    border: 1px solid #F5F5F3;

    &:hover {
        fill: $white;
        color: $white;
        background: $purple;
        transition: .25s;
    }

    &:active {
        fill: #1B1B20;
        color: #1B1B20;
        background: #F5F5F3;
    }
}

.btn-border {
    fill: $white;
    color: $white;
    background: transparent;
    border: 2px solid $white;
    transition: .25s;

    &:hover {
        fill: $white;
        color: $white;
        background: rgba(255, 255, 255, 0.20);
        transition: .25s;
    }

    &:active {
        background: transparent;
    }
}

.btn-border-purple {
    fill: $purple;
    color: $purple;
    background: $white;
    border: 1px solid $purple;
    transition: .25s;

    &:hover {
        fill: $white;
        color: $white;
        background: $purple;
        transition: .25s;
    }

    &:active {
        fill: $black;
        color: $black;
        background: $white;
    }
}

.btn-xs {
    height: rem(45);
    letter-spacing: 1.1px;
    padding: rem(8) rem(10);
}

.btn-sm {
    height: rem(44);
    font-weight: 500;
    font-size: rem(10);
    letter-spacing: 1.1px;
    padding: rem(8) rem(22);

    span {
        top: 1px;
        position: relative;
    }

    @include media-breakpoint-up(md) {
        height: rem(64);
        font-size: rem(12);
        letter-spacing: 1.3px;
        padding: rem(8) rem(44);

        span {
            top: 0;
        }
    }
}

.btn-fixed {
    height: rem(60);
    font-weight: 500;
    font-size: rem(12);
    letter-spacing: 1.2px;
    padding: rem(8) rem(24);

    span {
        top: 0;
    }

    @include media-breakpoint-up(md) {
        height: rem(60);
        font-size: rem(12);
        letter-spacing: 1.3px;
    }
}

.btn-md {
    height: rem(56);
    padding: rem(8) rem(24);

    @include media-breakpoint-up(md) {
        height: rem(80);
        font-size: rem(15);
        padding: rem(8) rem(36);

        span + i {
            margin-left: rem(22);
        }

        i + span {
            margin-left: rem(22);
        }
    }

    @include media-breakpoint-up(xl) {
        height: rem(80);
    }
}

.btn-favorite {
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(44);
    height: rem(44);
    fill: #828282;
    cursor: pointer;
    background: $white;
    display: flex;
    align-items: center;
    justify-content: center;

    i {
        height: rem(15);
        display: inline-block;
        flex-shrink: 0;

        &:last-child {
            display: none;
        }
    }

    &:hover {
        fill: $purple;
    }

    &.added {
        fill: $purple;

        i {

            &:first-child {
                display: none;
            }

            &:last-child {
                display: inline-block;
            }
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(53);
        height: rem(53);

        i {
            height: rem(17);
        }

        &--lg {
            width: rem(70);
            height: rem(70);

            i {
                height: rem(23);
            }
        }
    }
}

.btn-view-all {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    fill: $purple;
    color: $purple;
    cursor: pointer;
    font-weight: 500;
    line-height: 135%;
    font-size: rem(13);
    text-decoration: none;
    background: transparent;
    align-items: center;
    display: inline-flex;

    &:hover {
        color: $purple;
        text-decoration: none;
    }

    i {
        font-size: 0;
        line-height: 0;
        height: rem(10);
        margin-left: rem(10);
        display: inline-block;
    }

    &.open {

        i {
            transform: rotate(180deg);
        }
    }
}

.btn-close {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    width: 40px;
    height: 40px;
    border: none;
    outline: none;
    display: block;
    position: relative;
    background: $purple;

    &:after,
    &:before {
        top: 50%;
        left: calc(50% - 8px);
        z-index: 1;
        content: '';
        width: 16px;
        height: 1px;
        display: block;
        background: $white;
        position: absolute;
    }

    &:after {
        transform: rotate(45deg);
    }

    &:before {
        transform: rotate(-45deg);
    }
}

.btn-download {

    letter-spacing: 1.1px;

    i {
        height: rem(16);
    }

    @include media-breakpoint-up(md) {

    }
}

.btn-link {
    padding: 0;
    border: none;
    outline: none;
    color: $dark;
    cursor: pointer;
    text-decoration: underline;
    background: transparent;

    &:hover {
        color: $dark;
        text-decoration: none;
    }
}

.btn-toggle {

    span {

        &:after {

            content: attr(data-toggle-close);
        }
    }

    &.open {

        span {

            &:after {

                content: attr(data-toggle-open);
            }
        }
    }
}
